[gtkmathview] + applied patch by Matthew Wiebe



commit b031525e2f07975654fb74c611a2b23933c9cbac
Author: Luca Padovani <padovani di unito it>
Date:   Thu Nov 24 22:34:21 2011 +0100

    + applied patch by Matthew Wiebe

 autogen.sh                                 |    2 +-
 src/backend/common/ComputerModernShaper.cc |    7 +++++++
 tests/integral.xml                         |    2 +-
 3 files changed, 9 insertions(+), 2 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index f7ae206..3b5d712 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -15,7 +15,7 @@ fi
 fi
 
 echo "libtoolize --force --copy"
-libtoolize --force --copy || {
+glibtoolize --force --copy || {
     echo "libtoolize failed! Unable to continue."
     exit 1
 }
diff --git a/src/backend/common/ComputerModernShaper.cc b/src/backend/common/ComputerModernShaper.cc
index 0372422..5bc5c0a 100644
--- a/src/backend/common/ComputerModernShaper.cc
+++ b/src/backend/common/ComputerModernShaper.cc
@@ -1564,6 +1564,13 @@ ComputerModernShaper::registerShaper(const SmartPtr<ShaperManager>& sm, unsigned
 {
   assert(sm);
 
+  // make sure there are normal variant options for lower case greek letters
+  if (family->fontEnabled(ComputerModernFamily::FN_CMMI)) {
+    for (unsigned i = 0; cmmMap[i].ch; i++) {
+      sm->registerChar(cmmMap[i].ch, GlyphSpec(shaperId, makeFontId(ComputerModernFamily::FE_CMMI, NORMAL_VARIANT), cmmMap[i].index));
+    }
+  }
+
   for (unsigned j = 0; j < sizeof(variantDesc) / sizeof(FontDesc); j++)
     for (unsigned i = 0; cmrMap[i].ch; i++)
       {
diff --git a/tests/integral.xml b/tests/integral.xml
index 27f9e95..bcb6089 100644
--- a/tests/integral.xml
+++ b/tests/integral.xml
@@ -1,3 +1,3 @@
 <math display="block" xmlns="http://www.w3.org/1998/Math/MathML";>
-  <mo>&Integral;</mo>
+  <mo>&#x222b;</mo>
 </math>



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]